package com.fs.his.task;

import com.fs.course.service.IFsUserCoursePeriodDaysService;
import com.fs.course.service.IFsUserCoursePeriodService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Component;

@Component("periodTask")
public class PeriodTask {

    @Autowired
    private IFsUserCoursePeriodService userCoursePeriodService;
    @Autowired
    private IFsUserCoursePeriodDaysService userCoursePeriodDaysService;

    /**
     * 更新营期状态
     */
    public void refreshPeriod() {
        userCoursePeriodService.changePeriodStatus();
    }

    /**
     * 更新营期课程状态
     */
    public void refreshPeriodDays() {
        userCoursePeriodDaysService.changePeriodCourseStatus();
    }
}
